Subject: Milkweed--where to fi

From: [email-masked] (Ruth Evans)
Date: Sun, 12 Mar 95 12:18:27

>>[email-masked] () wrote:
>>>
>>> I would like to know where Milkweed can be obtained?  I work at a ga
>>> center and none of my plant material suppliers have it.  Can someone
>>> me the botanical name?  I can't find it in the most basic garden boo
>>> Sunset is useless, much to my surprise.  Thanks in advance.
>>>

Milkweed is kind of a generic name for plants that produce a "milk."
There are many different kinds.

---

From: [email-masked] (Samme Orwig)
Date: 12 Mar 1995 20:36:24 GMT

Asclepias ... commonly offered as asclepias tuberosa,
with "Gay Butterflies" among the most extroverted
with its bold colors.

Ruth Evans ([email-masked]) wrote:
: >>[email-masked] () wrote:
: >>>
: >>> I would like to know where Milkweed can be obtained?  I work at a ga
: >>> center and none of my plant material suppliers have it.  Can someone
: >>> me the botanical name?  I can't find it in the most basic garden boo
: >>> Sunset is useless, much to my surprise.  Thanks in advance.
: >>>

: Milkweed is kind of a generic name for plants that produce a "milk."
: There are many different kinds.

---

From: [email-masked] (Robert C. Vaiden)
Date: 13 Mar 1995 14:36:36 GMT

Had to throw in my 2 cents on milkweed.  Of course, before all
the prairies here in Illinois were destroyed, the dominant plants
were all long lived perennials, not short lived, aggressive plants
(weeds!??) like common milkweed.  Many other members of the family
are long lived, beautiful flowers (actually, common milkweed is 
beautiful too!), and not at all "weed-like".  So, I imagine,
in the old days, the "common" milkweed wasn't common-but the others
were.  Humans have "selected"-by their activities- the plants
they like the least!

What's really funny is the way these plants are described in
catalogs....you won't see the word "milkweed" !!!  Instead, it
will be "Orange Glory FLower (!)" (they don't even use the
term "butterflyweed" much anymore!).....instead of Asclepias 
tuberosa.  I also want to put in a good word for Asclepias
incarnata (Swamp or Marsh Milkweed).  It doesn't need a swamp
(so it can be a good garden plant), it's a beautiful pink,
and smells absolutely wonderful!  It should be more appreaciated!

Bob Vaiden